# HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Interface HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>

- Type Parameters:
    `T` -
  All Known Implementing Classes:
    HierarchyWizardEditor, HierarchyWizardEditorGroup, HierarchyWizardEditorInterval
  Enclosing class:
    HierarchyWizardEditorFunction<T>

      public static interface HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>

  Tiny callback for parents.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFunction(AggregateFunction<T> function)` Sets the function

- - ### Method Detail

    - #### setFunction

          void setFunction(AggregateFunction<T> function)

      Sets the function
      Parameters:
        `function` -